{inputs, pkgs, ...}: 
{
  programs.kitty.enable = true;
  wayland.windowManager.hyprland = {
    enable = true;
    settings = {
      "$mod" = "SUPER";
      bind =
        [
          "$mod, F, exec, firefox"
          "$mod, return, exec, walker"
          "$mod_SHIFT, return, exec, kitty"
          "$mod_SHIFT, q, kill"
          "$mod, s, exec, code"
        ];
    
      # plugin.virtual-desktops = {

      # }
    };

    plugins = [
      # Touch gestures: https://github.com/horriblename/hyprgrass
      inputs.hyprgrass.packages.${pkgs.system}.default
      # Virtual desktops: https://github.com/levnikmyskin/hyprland-virtual-desktops
      # inputs.hyprland-virtual-desktops.packages.${pkgs.system}.virtual-desktops
    ];
  };

  programs.walker = {
    enable = true;
    runAsService = true;

    # All options from the config.json can be used here.
    config = {
      search.placeholder = "Example";
      ui.fullscreen = true;
      list = {
        height = 200;
      };
      websearch.prefix = "?";
      switcher.prefix = "/";
    };

    # If this is not set the default styling is used.
    # style = ''
    #   * {
    #     color: #dcd7ba;
    #   }
    # '';
  };

  # # Set waybar config
  # ".config/waybar/config".text = ''
  # ''
  
}
